#ifndef __DISPNEW_P_H__
#define __DISPNEW_P_H__

extern _VOID_ redraw_garbaged_frames _P_((void));
extern int direct_output_for_insert _P_((int g));
extern int direct_output_forward_char _P_((int n));
extern _VOID_ quit_error_check _P_((void));
extern SIGTYPE window_change_signal _P_((void));
extern _VOID_ do_pending_window_change _P_((void));
extern _VOID_ bitch_at_user _P_((void));
extern Lisp_Object sit_for _P_((int sec, int usec, int reading, int display));
extern _VOID_ init_display _P_((void));
extern _VOID_ syms_of_display _P_((void));
    
DEFUN_P(Fredraw_frame, (Lisp_Object frame));
DEFUN_P(Fredraw_display, (void));
DEFUN_P(Fopen_termscript, (Lisp_Object file));
DEFUN_P(Fsend_string_to_terminal, (Lisp_Object str));
DEFUN_P(Fding, (Lisp_Object arg));
DEFUN_P(Fsleep_for, (Lisp_Object seconds, Lisp_Object milliseconds));
DEFUN_P(Fsit_for, (Lisp_Object seconds, Lisp_Object milliseconds,
                   Lisp_Object nodisp));

#endif
